WML::DES::IMGBG(1)

NAME
wml::des::imgbg - Background Images

SYNOPSIS

 #use wml::des::imgbg
 <: $file = &imgbg($base, $direction, $content); :>
 <body ... background=<imgbg [attributes]> ...>

DESCRIPTION
The usual purpose of this tag is to create a GIF image containing a background image and to expand to its filename. Its contents is specified via the content attribute by use of size/color pairs.

ATTRIBUTES
Usually the created images for a source file page.wml are named page.imgbg-xxxxxx.gif where xxxxxx is the content id of the image. When you use a base=foo attribute, then the resulting files are named foo.imgbg-xxxxxx.gif. Actually you can even use a complete filename including a directory prefix, i.e. when you use base=../../common/foo attribute, then the GIF images are created as ../../common/foo.imgbg-xxxxxx.gif.

And for most flexibility when no base is specified and the variable BGIMG_BASE is defined (usually from within a .wmlrc file via -DBGIMG_BASE~path/to/imgbg/dir/base) it is used. Use this feature to redirect the created images to a particular directory. Specifies the color change direction of the image: ``h'' for horizontal (default) or ``v'' for vertical. In the other direction the pixel size is always just 1 pixel. This is a comma-separated list of size/color pairs. The syntax of these pairs is ``pixels:#rrggbb''. To get a backround with two columns, a black one with 150 point in size and a white one which fills the rest of the page use ``150:#000000,1200:#ffffff''.

AUTHOR

 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES

 Internal: P1, P2, P3, GD (P5M)
 External: --

SEEALSO
GD(3), HTML <body> tag.